<?php
session_start();

require_once '../MysqlConsulta.php';

$tipoImpressao = $_GET['tipo'];

//referenciar o DomPDF com namespace
use Dompdf\Dompdf;
use Dompdf\Options;

//funcao para gerar o relatorio
function gerarRealtorio($tipoImpressao)
{
	$instanciaSqlMercadoria = new MysqlConsulta();
	$usuario = $_SESSION['usuario'];
	$produtosEtiqueta = $instanciaSqlMercadoria->produtosEtiquetas($usuario);

    // include autoloader do dompdf
    require_once("../dompdf/autoload.inc.php");


    //$dompdf = new DOMPDF();
    // Inicialize o Dompdf
    $options = new Options();
    $options->set('defaultFont', 'Arial'); // Define uma fonte padrão se necessário
    $dompdf = new Dompdf($options);

    // Diretório onde estão as fontes
    $fontDir = __DIR__ . '/fonts/';

// Registrar a fonte personalizada
    $fontMetrics = $dompdf->getFontMetrics();
    $fontMetrics->getFont('SuaFonte', 'normal', $fontDir . 'SuaFonte.ttf');
    $fontMetrics->getFont('SuaFonte', 'bold', $fontDir . 'SuaFonte-Bold.ttf');

	
		if($tipoImpressao == 'argox'){
		//variavel que controla o tipo de impressora
		$impressoraEtiqueta = true;
		}else{
		$impressoraEtiqueta = false;
		}
		//se impressora for etiqueta de impressora
		if($impressoraEtiqueta == true){
		$papel = array(0,0,283.465,85.039);
		$dompdf->set_paper($papel, 'portrait');
		}else {

$dompdf->setPaper(array(0, 0, 100, 30), 'portrait');
		}
		
	//funcao que escreve a etiqueta
	function escrever($mercadoria,$preco,$tipoImpressao){

	$html = '
	
	
	<style>
        @font-face {
            font-family: "SuaFonte";
            /*src: url("SuaFonte.ttf") format("truetype");*/
        }
        body {
            font-family: "SuaFonte", sans-serif;
        }
    </style>
    
    
	
	';
	
	if($tipoImpressao == 'argox'){
	//variavel que controla o tipo de impressora
	$impressoraEtiqueta = true;
	}else{
	$impressoraEtiqueta = false;
	}

	//se impressora for etiqueta de impressora
	if($impressoraEtiqueta == false){
	
	$html .= "<div class='corpo'>";

	$html .= "<div class='etiqueta'>";
	}
	
	$html .= "<div class='cabecalho'> <b>
	$mercadoria </b> </div>
	";
	
	//contango a quantidade de caracteres que tem o nome de uma etiqueta
	$totalCaracteres = strlen($mercadoria);
	
	/*aqui especificamos quantos caracteres pode ter no maximo a primeira linha de uma etiqueta*/
	if($totalCaracteres < 30){
	/* se a etiqueta tiver apenas uma linha preencher a segunda linha com daos invisiveis*/
	$html .= "<span class='invisivel'> ASDF ASDF ASDF ASDF AS DF </span> </b> ";
	}

	$html .= "<div class='preco1'> <span class= 'preco2'>   PREÇO R$: </span> ";

	$html .= "<b> <span class= 'preco'> $preco </span> </b>  </div>";

	//se impressora for impressora de etiqueta
	if($impressoraEtiqueta == false){

	$html .= "</div>";
	$html .= "</div>";

	}	
	return $html;
	}

	$html = '';

	//buscar etiquetas por item
	foreach($produtosEtiqueta as $etiqueta) {

		$preco =  $etiqueta['preco'];
		$descricao = $etiqueta['descricao'];
		
		/*Aqui informamos quantos caracteres no total pode ter o nome de uma etiqueta comprimento total do nome de uma etiqueta*/
		$merc = substr($descricao, 0,38);
		$html .= escrever($merc,$preco,$tipoImpressao);
	}
	
if($tipoImpressao == 'Argox') {

$css = "
<style>
		.corpo {
			width: 780px;
			heigth:800px;
		}
		.etiqueta {
			width:100mm;
			heigth:30mm;
			margin-top:16px;

			margin-left:50px;
			border: 1px solid black;
		
		}
		.cabecalho {
			margin-top:10px;
			position:relative;
			margin-left:30px;
			width:98%;
			heigth:30%;
			font-size:22px;	
			margin-bottom 0px;
			

		.preco {
			text-align:right !important;
			position:bottom;
			bottom:0;
			margin-right:10px;
			margin-bottom: 0px !important;
			font-size:38px;
		}
		.preco1 {
			text-align:right !important;
			position:bottom;
			bottom:0;
			margin-right:10px;
			margin-bottom: 0px !important;
		}
		.preco2 {
			text-align:right !important;
			position:bottom;
			bottom:0;
			margin-right:10px;
			margin-bottom: 0px !important;
			font-size:20px;
		}
		.invisivel {
			font-size:20px;
			opacity:0;
		}	

</style>";

}else {


$css = "
<style>
		@font-face {
			font-family: 'baloo';
			src: url('fonts/BalooBhaina-Regular.ttf');
		}

		* {
			margin:0;
						
		}
		.corpo {
			margin-left:10px;
			width: 780px;
			heigth:800px;
		}
		.etiqueta {
			width:100mm;
			heigth:30mm;
			margin-top:20px;
			margin-left:8px;
			background-color:#EFC8B3;

	
			
			color:#O53F88;
			
		}
		.cabecalho {
			margin-top:12px;
			position:relative;
			margin-left:30px;

			width:90%;
			heigth:30%;
			font-size:22px;	
			margin-bottom 10px;
		}
		.preco {
			text-align:right !important;
			position:bottom;
			bottom:0;
			margin-right:10px;
			margin-bottom: 0px !important;
			font-size:38px;
		}
		.preco1 {
			text-align:right !important;
			position:bottom;
			bottom:0;
			margin-right:10px;
			margin-bottom: 0px !important;
		}
		.preco2 {
			text-align:right !important;
			position:bottom;
			bottom:0;
			margin-right:10px;
			margin-bottom: 0px !important;
			font-size:20px;
		}
		.invisivel {
			font-size:20px;
			opacity:0;
		}	

</style>";


}




	//ler a pagina html
	$dompdf->load_html($css. $html
	);

    $dompdf->render();
     // Enviar o PDF para o navegador
	 $dompdf->stream("etiqueta.pdf", ["Attachment" => false]); 
}

gerarRealtorio($tipoImpressao);